]> git.donarmstrong.com Git - zsh.git/blobdiff - .zsh/func/vcsh
disable gpg batch mode for getpw
[zsh.git] / .zsh / func / vcsh
index ca26a9edd78390156bc6981af21b55af7ad07787..bf5735ef7952330b1d1487326c24422bfa338e8e 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/zsh
 #
 # func/vcsh
 #
@@ -7,14 +7,17 @@
 # Copyright © 1994–2008 martin f. krafft <madduck@madduck.net>
 # Released under the terms of the Artistic Licence 2.0
 #
-# Source repository: http://git.madduck.net/v/etc/zsh.git
+# Source repository: git://git.madduck.net/etc/zsh.git
 #
 
-FGIT_BASE="$HOME/.fgits"
+## THIS SCRIPT IS DEPRECATED IN FAVOUR OF
+## https://github.com/RichiH/vcsh
+
+local FGIT_BASE="$HOME/.fgits"
 
 if [ "${1:---help}" = '--help' ] || [ $# -gt 1 ]; then
-  echo "usage: ${0%/*} reponame" >&2
-  echo "usage: ${0%/*} -l" >&2
+  echo "usage: ${0##*/} reponame" >&2
+  echo "usage: ${0##*/} -l" >&2
   [ "$1" = '--help' ]
   return $?
 
@@ -31,11 +34,15 @@ if [ ! -d "$FGIT_BASE/${1}.git" ]; then
   return 2
 fi
 
+old_GIT_DIR="${GIT_DIR:-}"
+old_GIT_WORK_TREE="${GIT_WORK_TREE:-}"
+
 export GIT_DIR="$FGIT_BASE/${1}.git"
-_WORKTREE="$(git config --get core.worktree)"
-export GIT_WORK_TREE="$(readlink -f $GIT_DIR/$_WORKTREE)"
-unset _WORKTREE
+export GIT_WORK_TREE="$GIT_DIR/$(git config --get core.worktree)"
 
-git status
+PS1="%S{${0##*/}:$1}%s$PS1" $SHELL -i || :
 
-PS1="%S{VCSH:$1}%s$PS1" $SHELL -i
+GIT_DIR="$old_GIT_DIR"
+[ -z "$GIT_DIR" ] && unset GIT_DIR
+GIT_WORK_TREE="$old_GIT_WORK_TREE"
+[ -z "$GIT_WORK_TREE" ] && unset GIT_WORK_TREE